<?php
	if(file_exists('credentials.php')) {
		require_once('credentials.php');
		if(strlen(Email)>0 && strlen(Password)>0)
			header('Location: login.php');
	}

	/* Include the language file or redirect to install page */
	if(file_exists("language.php")) {
		require_once('language.php');
	}
	else {
		header('Location: install.php');
	}	
?>
<!DOCTYPE html>
<html>
<head>
<link href='http://fonts.googleapis.com/css?family=Open+Sans:400,600,700,300' rel='stylesheet' type='text/css' />
<script type="text/javascript" src="../js/jquery-1.8.2.min.js"></script>
<style type="text/css">

body {
	margin: 0;
	padding: 0;
	font-family: "Open Sans",Verdana;
}

#header {
	font-size: 16px;
	font-weight: 600;
	text-align: center;
	margin: 100px 0 0 0;
	color: rgba(0, 0, 0, 0.8);
}

#error {
	background-color: #f84545;
	margin: 0 auto 40px auto;
	width: 330px;
	padding: 6px;
	text-align: center;
	font-size: 13px;
	font-family: inherit;
	color: white;
	font-weight: 600;
	-moz-box-sizing: border-box;
 	box-sizing: border-box;
 	display: none;
}

#success {
	background-color: #4EEE94;
	margin: 0 auto 40px auto;
	width: 330px;
	padding: 6px;
	text-align: center;
	font-size: 13px;
	font-family: inherit;
	color: white;
	font-weight: 600;
	-moz-box-sizing: border-box;
 	box-sizing: border-box;
 	display: none;
}

form {
	width: 330px;
	margin: 50px auto 0 auto;
}

.form-element {
	overflow: hidden;
	margin: 0 0 20px 0;
	font-size: 13px;
}

.form-element label {
	width: 130px;
	float: left;
	vertical-align: middle;
	display: inline-block;
}

.form-element input {
	width: 200px;
	vertical-align: middle;
	border: 1px solid #cccccc;
	padding: 4px;
	font-family: inherit;
	font-size: inherit;
	float: left;
	-moz-box-sizing: border-box;
 	box-sizing: border-box;
}

#proceed-button {
	width: 100px;
	margin: 20px 0 0 130px;
	display: block;
	padding: 4px;
	text-align: center;
	font-size: 13px;
	font-family: inherit;
	background: none;
	background-color: #f87c45;
	color: white;
	border: 1px solid #f87c45;
	cursor: pointer;
}

</style>
</head>

<body>

<?php

try {
	$handle = fopen("test.txt", "a");
	if($handle == FALSE) 
		throw new Exception("<?php echo __('install_write_error'); ?>");

	if(fwrite($handle, "Test") == FALSE)
		throw new Exception("<?php echo __('install_write_error'); ?>");

	fclose($handle);
	unlink("test.txt");
}
catch(Exception $e) {
	echo '<div id="error" style="margin-top:100px">' . $e->getMessage() . '</div>';
	exit();
}

?>

<div id="header"><?php echo __('install_create_admin'); ?></div>

<form>
	<div id="error"></div>
	<div id="success"></div>
	<div class="form-element">
		<label><?php echo __('install_email_label'); ?></label>
		<input type="text" id="admin-email" />
	</div>
	<div class="form-element">
		<label><?php echo __('install_new_password_label'); ?></label>
		<input type="password" id="admin-password" />
	</div>
	<div class="form-element">
		<label><?php echo __('install_confirm_password_label'); ?></label>
		<input type="password" id="admin-confirm-password" />
	</div>
	<input type="button" value="<?php echo __('install_proceed_button'); ?>" id="proceed-button"/>
</form>

<script type="text/javascript">

$(document).ready(function() {
	$('#proceed-button').on('click', function() {
		validateForm();
	});
})

function validateForm() {
	var error = 0;
	var errorMessage = '';
	var regExBlank = /^((\s)+)$/i;

	var password = $('#admin-password').val();
	var confirmPassword = $('#admin-confirm-password').val();
	var email = $('#admin-email').val();


	if(password != confirmPassword) {
		errorMessage = "<?php echo __('install_doesnt_match_error'); ?>";
		error = 1;
	}
	else {
		if((password == confirmPassword) && regExBlank.test($('#admin-confirm-password').val())) {
			errorMessage += '<?php echo __("install_only_spaces_error"); ?>';
			error = 1;
		}

		var regEx1 = /^(((\s)+)([\w|\W]+))$/i;
		var regEx2 = /^(([\w|\W]+)((\s)+))$/i;
		if((password == confirmPassword) && regEx1.test($('#admin-confirm-password').val()) || regEx2.test($('#admin-confirm-password').val())) {
			errorMessage += '<?php echo __("install_start_end_spaces_error"); ?>';
			error = 1;
		}	
	}

	var regEx = /(((\S)+(\S|\s)+(\S)+){2,})/i;
	var regExEmail = /^([a-zA-z0-9]{1,}(?:([\._-]{0,1}[a-zA-Z0-9]{1,}))+@{1}([a-zA-Z0-9-]{2,}(?:([\.]{1}[a-zA-Z]{2,}))+))$/;

	if(password == confirmPassword && regEx.test(password) && regEx.test(confirmPassword) & error == 0) {
		if(regExEmail.test(email)) {
			$('#error').fadeOut('slow');
			$.ajax({
				url: 'control.php',
				type: 'POST',
				dataType: 'json',
				data: {'email': email, 'password': password, 'install': 1},
				success: function(response) {
					if(response.error == 0) {
						$('#success').html('<?php echo __("install_saved"); ?>').fadeIn('slow').delay(2500).fadeOut('slow', function() {
							window.location = 'login.php';
						});
					}
					else {
						$('#error').html('<?php echo __("install_permissions_error"); ?>').fadeIn('slow');
					}
				}
			})
		}
		else {
			errorMessage += "<?php echo __('install_proper_email_error'); ?>"
			error = 1;
		}
	}

	if(error) {
		$('#error').html(errorMessage).fadeIn('slow');
	}
}

</script>

</body>
</html>