<?php
	/* Include the language file or redirect to install page */
	if(file_exists("admin/language.php")) {
		require_once('admin/language.php');
	}
	else {
		header('Location: admin/install.php');
	}

	$settings = array_slug_replace(unserialize(file_get_contents("admin/config.conf")));
?>
<!DOCTYPE html>
<html>
<head>
<meta charset=utf-8>
<meta name="viewport" content="width=device-width, initial-scale = 1.0, maximum-scale = 1.0, user-scalable=no">
<link href='http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700' rel='stylesheet' type='text/css' />
<link href='css/font-awesome.css' rel='stylesheet' type='text/css' />
<link href='css/themes/<?php echo $settings["theme"]; ?>' rel='stylesheet' type='text/css' />
<link href='css/index.css' rel='stylesheet' type='text/css' />
<script type="text/javascript" src="js/jquery-1.8.2.min.js"></script>
<script type="text/javascript" src="js/jquery.mobile-1.4.3.custom.min.js"></script>
<script src="https://maps.googleapis.com/maps/api/js?v=3.15&sensor=false"></script>
</head>
<body>

<?php
	
	include 'frontend/header.php';

	include 'frontend/home.php';
	
	include 'frontend/features.php';
	
	include 'frontend/testimonials.php';
	
	include 'frontend/pricing.php';
	
	include 'frontend/contact.php';
	
	include 'frontend/footer.php';

?>

<?php
	$timeInterval = $settings['home']['slider-autoplay']?$settings['home']['slider-interval']*1000: 0;
?>

<script type="text/javascript">

var INTERVAL_VAR,
	HOME_SLIDES_AUTO_MODE = <?php echo $settings['home']['slider-autoplay']; ?>,
	HOME_SLIDES_TIME = <?php echo $timeInterval; ?>,
	LOCATION = 1,
	LATITUDE = '<?php echo $settings["contact"]["contact-location-latitude"]; ?>',
	LONGITUDE = '<?php echo $settings["contact"]["contact-location-longitude"]; ?>',
	initial_header_top_padding = $("#header-container").css('padding-top');

$(window).on('resize', function () {
	$("#home").css('height', ($(window).height()) + 'px');
});

$("#home").css('height', ($(window).height()) + 'px');

if(HOME_SLIDES_AUTO_MODE == 1) {
	InitializeHomeSlides();
}

$("#features").css('padding-top', $("#header-inner").outerHeight() + 20);

$("#testimonials").css('padding-top', $("#header-inner").outerHeight() + 20);

$("#pricing").css('padding-top', $("#header-inner").outerHeight() + 40);

if(LOCATION == 0) {
	$("#contact-location").remove();
	$("#contact-form").css({'width': '100%', 'margin': '20px 0 0 0'});
	$("#contact-details").css('width', '100%');
	$("#contact-inner").css('max-width', '600px');
}
else {
	$("#contact-location").css('height', ($("#contact-inner").height() - $("#contact-info").outerHeight() - 20) + 'px');
	google.maps.event.addDomListener(window, 'load', function () {
		var myLatlng = new google.maps.LatLng(LATITUDE, LONGITUDE);
		var styles = [{"stylers":[{"hue":"#dd0d0d"}]},{"featureType":"road","elementType":"labels","stylers":[{"visibility":"off"}]},{"featureType":"road","elementType":"geometry","stylers":[{"lightness":50},{"visibility":"simplified"}]}];

		var map = new google.maps.Map(document.getElementById('contact-location'), {
			zoom: 10,
	        scrollwheel: false,
			center: myLatlng,
			styles: styles
		});

		var marker = new google.maps.Marker({
			position: myLatlng,
			map: map
		});
	});
}

$(".navigation-link").on('click', function() { 
	$(".navigation-link").removeClass('theme-color');
	$(this).addClass('theme-color');
});

$(window).scroll(function () { 
	var scrolltop = $(window).scrollTop(),
		home_max_y = $("#home").height(),
		features_max_y = home_max_y + $("#features").outerHeight(),
		testimonials_max_y = features_max_y + $("#testimonials").outerHeight(),
		pricing_max_y = testimonials_max_y + $("#pricing").outerHeight(),
		contact_max_y = pricing_max_y + $("#contact").outerHeight();
	
	if(scrolltop == 0) {
		$("#header-container").removeClass('fixed-header');

		$("#header-container").css({ 'position': 'fixed', 'padding' : initial_header_top_padding + ' 0 15px 0' });
		$("#header-container img").css('max-height', '35px');

		$(".theme-link").removeClass('theme-link-scroll');
		$("#header-container").css('background-color', 'transparent');
		$("#header-container").css('box-shadow', 'none');
	}

	if(scrolltop > 40) {
		if(!($("#header-container").hasClass('fixed-header'))) {
			$("#header-container").addClass('fixed-header');

			$("#header-container").css({ 'padding' : '3px 0 3px 0', 'position': 'fixed' });
			$("#header-container img").css('max-height', '25px');

			$(".theme-link").addClass('theme-link-scroll');
			$("#header-container").css('background-color', 'rgba(255, 255, 255, 0.93)');
			$("#header-container").css('box-shadow', '0 0 7px rgba(0, 0, 0, 0.2)');
		}
	}

	if(scrolltop > 0 && scrolltop < home_max_y) {
		$(".navigation-link").removeClass('theme-color');
	}
	else if(scrolltop > home_max_y && scrolltop < features_max_y) {
		$(".navigation-link").removeClass('theme-color');
		$("#navigation-features").addClass('theme-color');
	}
	else if(scrolltop > features_max_y && scrolltop < testimonials_max_y) {
		$(".navigation-link").removeClass('theme-color');
		$("#navigation-testimonials").addClass('theme-color');
	}
	else if(scrolltop > testimonials_max_y && scrolltop < pricing_max_y) {
		$(".navigation-link").removeClass('theme-color');
		$("#navigation-pricing").addClass('theme-color');
	}
	else if(scrolltop > pricing_max_y && scrolltop < contact_max_y) {
		$(".navigation-link").removeClass('theme-color');
		$("#navigation-contact").addClass('theme-color');
	}
});

/* Next home slide */
$("#slide-next").on('click', function() { 
	var present_slide = parseInt($("#all-slides-container").children(".slide-active").index(), 10) + 1,
		total_slides = $(".slide").length,
		next_slide;

	if(present_slide != total_slides) {
		next_slide = present_slide + 1;
	}
	else {
		next_slide = 1;
	}

	$("#slide-" + present_slide).removeClass('slide-active');
	$("#slide-" + next_slide).addClass('slide-active');

	$("#all-slides-container").css('transform', 'translate(-' + ((next_slide-1)*100) + '%, 0)');

	if(typeof INTERVAL_VAR != 'undefined') {
		clearInterval(INTERVAL_VAR);
	}
});

/* Previous home slide */
$("#slide-prev").on('click', function() { 
	var present_slide = parseInt($("#all-slides-container").children(".slide-active").index(), 10) + 1,
		total_slides = $(".slide").length,
		next_slide;

	if(present_slide != 1) {
		next_slide = present_slide - 1;
	}
	else {
		next_slide = total_slides;
	}

	$("#slide-" + present_slide).removeClass('slide-active');
	$("#slide-" + next_slide).addClass('slide-active');

	$("#all-slides-container").css('transform', 'translate(-' + ((next_slide-1)*100) + '%, 0)');

	if(typeof INTERVAL_VAR != 'undefined') {
		clearInterval(INTERVAL_VAR);
	}
});

/* Initialize home slides */
function InitializeHomeSlides() {
	INTERVAL_VAR = setInterval(function () {
		var present_slide = parseInt($("#all-slides-container").children(".slide-active").index(), 10) + 1,
			total_slides = $(".slide").length,
			next_slide;

		if(present_slide != total_slides) {
			next_slide = present_slide + 1;
		}
		else {
			next_slide = 1;
		}

		$("#slide-" + present_slide).removeClass('slide-active');
		$("#slide-" + next_slide).addClass('slide-active');

		$("#all-slides-container").css('transform', 'translate(-' + ((next_slide-1)*100) + '%, 0)');
	}, HOME_SLIDES_TIME);
}

/* Testimonials slide controls */
$(".slide-control").on('click', function() { 
	$(".slide-control").removeClass('slide-control-active');
	$(this).addClass('slide-control-active');

	$("#testimonials").attr('data-present-testimonial', $(this).attr('data-testimonial'));

	$("#all-testimonials-inner-container").css('transform', 'translate(-' + ((parseInt($(this).attr('data-testimonial'), 10)-1)*100) + '%, 0)');
});

/* Send Message */
$("#send-message-button").on('click', function () {
	if($(this).attr('data-in-progress') == '1')
		return false;
		
	var blank_reg_exp = /^([\s]{0,}[^\s]{1,}[\s]{0,}){1,}$/,
		email_reg_exp = /^([a-zA-z0-9]{1,}(?:([\._-]{0,1}[a-zA-Z0-9]{1,}))+@{1}([a-zA-Z0-9-]{2,}(?:([\.]{1}[a-zA-Z]{2,}))+))$/;

	if(!blank_reg_exp.test($("#form-name").val())) {
		$("#form-error").html("<?php echo __('send_msg_error'); ?> " + $("#form-name").next().find('.form-element-label').text() + " <?php echo __('send_msg_empty_error'); ?>").css('bottom', '0');
		setTimeout(function() {
			$("#form-error").css('bottom', '-42px');
		}, 3000);
		return;
	}
	
	if(email_reg_exp.test($("#form-email").val()) == false) {
		$("#form-error").html("<?php echo __('send_msg_error'); ?> " + $("#form-email").next().find('.form-element-label').text() + "  <?php echo __('send_msg_incorrect_error'); ?>").css('bottom', '0');
		setTimeout(function() {
			$("#form-error").css('bottom', '-42px');
		}, 3000);
		return;
	}

	if(!blank_reg_exp.test($("#form-message").val())) {
		$("#form-error").html("<?php echo __('send_msg_error'); ?> " + $("#form-message").next().find('.form-element-label').text() + " <?php echo __('send_msg_empty_error'); ?>").css('bottom', '0');
		setTimeout(function() {
			$("#form-error").css('bottom', '-42px');
		}, 3000);
		return;
	}

	$("#send-message-button").css('opacity', '0.7').attr('data-in-progress', '1');
	$.ajax ({
		url: 'send-email.php',
		type: 'POST',
		data: { field_1: { 'name': $("#form-name").next().find('.form-element-label').text(), 'value': $("#form-name").val() }, 
				field_2: { 'name': $("#form-email").next().find('.form-element-label').text(), 'value': $("#form-email").val() },
				field_3: { 'name': $("#form-phone").next().find('.form-element-label').text(), 'value': $("#form-phone").val() },
				field_4: { 'name': $("#form-message").next().find('.form-element-label').text(), 'value': $("#form-message").val() } },
		cache: false,
		success: function(response) {
			$("#send-message-button").attr('data-in-progress', '0').css('opacity', '1');
			
			if(response.error == 1) {
				$("#form-error").html("<?php echo __('send_msg_send_mail_error'); ?>").css('bottom', '42px');
				setTimeout(function() {
					$("#form-error").css('bottom', '-42px');
				}, 3000);
			}
			else {
				$("#form-success").css('bottom', '0');
				setTimeout(function() {
					$("#form-success").css('bottom', '-42px');
				}, 4000);
				$("#form-name, #form-email, #form-phone, #form-message").val('');
				$(".form-element-label").show();
			}
		}
	});
});

/* Form label handling */
$(".form-element-label").on('click', function () {
	$(this).parent().prev().focus();
});

/* Form label handling */
$(".form-text-element").on('keydown', function () {
	if($(this).val() == '') 
		$(this).next().find('.form-element-label').hide();
});

/* Form label handling */
$(".form-text-element").on('keyup', function () {
	if($(this).val() == '') 
		$(this).next().find('.form-element-label').show();
	else 
		$(this).next().find('.form-element-label').hide();
});

$("#testimonials-inner").on('swipeleft', function (e) {
	var present_slide = parseInt($("#testimonials").attr('data-present-testimonial'), 10),
		total_slides = $(".testimonial").length,
		next_slide;

	if(present_slide != total_slides) {
		next_slide = present_slide + 1;
	}
	else {
		next_slide = 1;
	}

	$(".slide-control").removeClass('slide-control-active');
	$(".slide-control:eq(" + (next_slide - 1)+ ")").addClass('slide-control-active');

	$("#testimonials").attr('data-present-testimonial', next_slide);

	$("#all-testimonials-inner-container").css('transform', 'translate(-' + ((next_slide-1)*100) + '%, 0)');
});

$("#testimonials-inner").on('swiperight', function (e) {
	var present_slide = parseInt($("#testimonials").attr('data-present-testimonial'), 10),
		total_slides = $(".testimonial").length,
		next_slide;

	if(present_slide != 1) {
		next_slide = present_slide - 1;
	}
	else {
		next_slide = total_slides;
	}

	$(".slide-control").removeClass('slide-control-active');
	$(".slide-control:eq(" + (next_slide - 1)+ ")").addClass('slide-control-active');

	$("#testimonials").attr('data-present-testimonial', next_slide);

	$("#all-testimonials-inner-container").css('transform', 'translate(-' + ((next_slide-1)*100) + '%, 0)');
});

</script>

</body>
</html>